Bug 242732 - "HOSTNAME: Undefined variable." and "Faulty alias 'precmd' removed."
"HOSTNAME: Undefined variable." and "Faulty alias 'precmd' removed."
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: setup (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Phil Knirsch
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-05 11:20 EDT by Nalin Dahyabhai
Modified: 2015-03-04 20:18 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-06 08:56:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nalin Dahyabhai 2007-06-05 11:20:11 EDT
Description of problem:
setup-2.6.6-1.fc8 introduces a new default precmd (as part of resolving bug
#199817), but that alias depends on the "HOSTNAME" environment variable being
set, which doesn't always happen.

Version-Release number of selected component (if applicable):
setup-2.6.6-1.fc8

How reproducible:
Always

Steps to Reproduce:
1. ssh -t rawhidebox screen -R
  
Actual results:
HOSTNAME: Undefined variable.
Faulty alias 'precmd' removed.

Additional info:
We probably want to check that the terminal is of a type which can even handle
this control sequence before setting it, too, as is done in /etc/bashrc.
Comment 1 Nalin Dahyabhai 2007-06-05 11:20:53 EDT
Oh, duh.  I should have mentioned somewhere that this change was made in
/etc/csh.cshrc, so it's only visible to users who use tcsh.
Comment 2 Phil Knirsch 2007-06-06 08:56:23 EDT
Urgs, good catch. I just took a look at the way we do it in bashrc and will
adapt the cshrc changes to match those again, too. The next setup package will
contain a fix.

Thanks,

Read ya, Phil
Comment 3 Nalin Dahyabhai 2007-06-21 13:55:20 EDT
The new package doesn't appear to have made it out yet.

Note You need to log in before you can comment on or make changes to this bug.